Package mvpa :: Package datasets :: Module eep :: Class EEPDataset

[hide private]
[frames] | no frames]

# Class EEPDataset

source code

Dataset using a EEP binary file as source.

EEP files are used by eeprobe a software for analysing even-related potentials (ERP), which was developed at the Max-Planck Institute for Cognitive Neuroscience in Leipzig, Germany.

> http://www.ant-neuro.com/products/eeprobe

Instance Methods | [hide private]

__init__(self, samples=None, **kwargs) Initialize EEPDataset. | source code

Inherited from `channel.ChannelDataset`: `resample`, `substractBaseline` Inherited from `mapped.MappedDataset`: `mapForward`, `mapReverse`, `mapSelfReverse`, `selectFeatures`

Class Variables | [hide private]

| __doc__ = `enhancedDocString('EEPDataset', locals(), ChannelDat`...``
Inherited from `channel.ChannelDataset`: `channelids`, `dt`, `samplingrate`, `t0` Inherited from `mapped.MappedDataset`: `O`, `mapper`, `samples_original`

Method Details | [hide private]

### __init__(self, samples=None, **kwargs)
(Constructor)

source code

Initialize EEPDataset.

Parameters:
  - `samples`, `ndarray` - Three-dimensional array: (samples x channels x timepoints).
  - `t0`, `float` - Reference time of the first timepoint. Can be used to preserve information about the onset of some stimulation. Preferably in seconds.
  - `dt`, `float` - Temporal distance between two timepoints. Has to be given in seconds. Otherwise samplingrate property will not return `Hz`.
  - `channelids`, `list` - List of channel names.
Overrides: mapped.MappedDataset.__init__

Parameters:

samples: Filename (string) of a EEP binary file or an EEPBin
  object

Class Variable Details | [hide private]

### __doc__

Value:

      enhancedDocString('EEPDataset', locals(), ChannelDataset)